> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Points Experience

> This endpoint returns a single points experience specified by ID.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField path="id" type="string" required>
  The ID of the points experience
</ParamField>

### Response

<Snippet file="entities/points-experience.mdx" />

<RequestExample>
  ```bash Get Points Experience theme={null}
  curl https://api.thanxsandbox.com/points_experiences/:id \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "points_experience": {
      "id": "590485d6f0",
      "merchant_id": "woeri34",
      "name": "Merchant Points",
      "currency": {
        "name": "Star",
        "plural": "Stars",
        "description": "Collect 1 star for every 1 dollar spent",
        "conversion": 1.0
      },
      "images": {
        "earn": {
          "small": "https://...png",
          "default": "https://...png",
          "large": "https://...png"
        },
        "currency_primary": {
          "small": "https://...png",
          "medium": "https://...png",
          "default": "https://...png",
          "large": "https://...png"
        },
        "currency_secondary": {
          "small": "https://...png",
          "medium": "https://...png",
          "default": "https://...png",
          "large": "https://...png"
        }
      }
    }
  }
  ```
</ResponseExample>
